restrictedservice

Full documentation for this service is available at /documentation/restrictedservice.

GetUpdatedSellerItems |WebMethod|

Returns updated items using criteria properties from request object GetUpdatedSellerItemsRequest. Note that this method returns only minimal information for the items that are returned.

Returns

The GetUpdatedSellerItemsResponse object that contains updated items.

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/GetUpdatedSellerItems"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetUpdatedSellerItems xmlns="http://api.tradera.com">
    </GetUpdatedSellerItems>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetUpdatedSellerItemsResponse xmlns="http://api.tradera.com">
      <GetUpdatedSellerItemsResult>The GetUpdatedSellerItemsResponse object that contains updated items.</GetUpdatedSellerItemsResult>
    </GetUpdatedSellerItemsResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetUpdatedSellerItems xmlns="http://api.tradera.com">
    </GetUpdatedSellerItems>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetUpdatedSellerItemsResponse xmlns="http://api.tradera.com">
      <GetUpdatedSellerItemsResult>The GetUpdatedSellerItemsResponse object that contains updated items.</GetUpdatedSellerItemsResult>
    </GetUpdatedSellerItemsResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/restrictedservice.asmx/GetUpdatedSellerItems?appId=string&appKey=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetUpdatedSellerItemsResult xmlns="http://api.tradera.com">The GetUpdatedSellerItemsResponse object that contains updated items.</GetUpdatedSellerItemsResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx/GetUpdatedSellerItems HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetUpdatedSellerItemsResult xmlns="http://api.tradera.com">The GetUpdatedSellerItemsResponse object that contains updated items.</GetUpdatedSellerItemsResult>